<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
TransactionConfig..::.LogFlush Enumeration
TransactionConfig Class See Also

Specifies the log flushing behavior on transaction commit

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public enum LogFlush

Visual Basic (Declaration)

    Public Enumeration LogFlush

Visual C++

    public enum class LogFlush

# Members

| Member name | Description
--- | --- | ---
| DEFAULT | Use Berkeley DB's default behavior of syncing the log on commit.
| NOSYNC | Berkeley DB will not write or synchronously flush the log on transaction commit or prepare.
| WRITE_NOSYNC | Berkeley DB will write, but will not synchronously flush, the log on transaction commit or prepare.
| SYNC | Berkeley DB will synchronously flush the log on transaction commit or prepare.

# See Also

BerkeleyDB Namespace